import React from 'react';
import {Input} from 'semantic-ui-react';
import {getRequest} from '../../../../../actions';

class UnitTime extends React.Component {
    state = {
        list: []
    }

    componentDidMount(){
        
    }

    render() {
        let {ops} = this.props;
        return (
            <div>
                <select>
                    <option value="">選擇條件</option>
                    {
                        ops.map((t,idx) => {
                            if(t.code != 8 && t.code != 9) {
                                return (
                                    <option value={t.code} key={idx}>{t.name}</option>
                                )
                            }
                        })
                    }
                </select>
                <Input size="mini" placeholder="年(不指定請留空)" />
                <Input size="mini" placeholder="週(不指定請留空)" />
                <Input size="mini" placeholder="月(不指定請留空)" />
                <Input size="mini" placeholder="日(不指定請留空)" />
                <Input size="mini" placeholder="時(不指定請留空)" />
                <Input size="mini" placeholder="分(不指定請留空)" />
            </div>
        )
    }
}

export default UnitTime;